Bug 1417200 - /usr/libexec/selinux/hll/pp segfaults on base.pp
Summary: /usr/libexec/selinux/hll/pp segfaults on base.pp
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: policycoreutils
Version: 26
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Petr Lautrbach
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-27 14:11 UTC by Milos Malik
Modified: 2017-04-09 21:52 UTC (History)
8 users (show)

Fixed In Version: policycoreutils-2.6-3.fc26.x86_64 policycoreutils-2.5-20.fc25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1350806
Environment:
Last Closed: 2017-04-09 21:52:03 UTC
Type: Bug


Attachments (Terms of Use)

Description Milos Malik 2017-01-27 14:11:30 UTC
+++ This bug was initially created as a clone of Bug #1350806 +++

Description of problem:
* one of our automated TCs found following problem

Version-Release number of selected component (if applicable):
policycoreutils-2.6-0.5.fc25.x86_64
policycoreutils-devel-2.6-0.5.fc25.x86_64
policycoreutils-python-2.6-0.5.fc25.x86_64
policycoreutils-python3-2.6-0.5.fc25.x86_64
policycoreutils-python-utils-2.6-0.5.fc25.x86_64
selinux-policy-targeted-3.13.1-225.6.fc25.noarch
selinux-policy-3.13.1-225.6.fc25.noarch
selinux-policy-devel-3.13.1-225.6.fc25.noarch

How reproducible:
* always

Steps to Reproduce:
# rm -f base.pp
# semodule -E base -H
Module 'base' does not exist at the default priority '400'. Extracting at highest existing priority '100'.
# ls -l base.pp
-rw-r--r--. 1 root root 1906678 Jan 27 09:08 base.pp
# /usr/libexec/selinux/hll/pp base.pp base.cil
Segmentation fault (core dumped)
# echo $?
139
# ls -l base.cil
-rw-r--r--. 1 root root 0 Jan 27 09:08 base.cil
# 

Actual results:
* segfault

Expected results:
* no segfaults

Comment 2 Milos Malik 2017-02-08 08:03:15 UTC
# rpm -qa libsepol\* libsemanage\* libselinux\* policycoreutils\* selinux-policy\* setools\* | sort
libselinux-2.6-0.2.fc25.x86_64
libselinux-python-2.6-0.2.fc25.x86_64
libselinux-python3-2.6-0.2.fc25.x86_64
libselinux-utils-2.6-0.2.fc25.x86_64
libsemanage-2.6-0.3.fc25.x86_64
libsemanage-python-2.6-0.3.fc25.x86_64
libsemanage-python3-2.6-0.3.fc25.x86_64
libsepol-2.6-0.3.fc25.x86_64
policycoreutils-2.6-0.7.fc25.x86_64
policycoreutils-devel-2.6-0.7.fc25.x86_64
policycoreutils-python-2.6-0.7.fc25.x86_64
policycoreutils-python3-2.6-0.7.fc25.x86_64
policycoreutils-python-utils-2.6-0.7.fc25.x86_64
selinux-policy-3.13.1-225.6.fc25.noarch
selinux-policy-devel-3.13.1-225.6.fc25.noarch
selinux-policy-targeted-3.13.1-225.6.fc25.noarch
setools-console-4.1.0-0.4.fc25.x86_64
setools-python3-4.1.0-0.4.fc25.x86_64
# rm -f base.cil
# /usr/libexec/selinux/hll/pp base.pp base.cil
Segmentation fault (core dumped)
# echo $?
139
# dmesg | tail -n 1
[ 1213.224829] pp[14725]: segfault at 0 ip 00007f23b7d1666a sp 00007ffd7b3f7a58 error 4 in libc-2.24.so[7f23b7c76000+1bd000]
#

Was the patch merged / applied?

Comment 3 Petr Lautrbach 2017-02-08 11:09:37 UTC
(In reply to Milos Malik from comment #2)
> Was the patch merged / applied?


No, it wasn't. policycoreutils-2.6-0.7 build is just rebuild of policycoreutils-2.6-0.6 with i686 buildroots enabled.

Comment 4 Petr Lautrbach 2017-02-09 13:09:25 UTC
Fixed in policycoreutils-2.6-0.8

Comment 5 Milos Malik 2017-02-09 16:05:47 UTC
# rpm -qf /usr/libexec/selinux/hll/pp 
policycoreutils-2.6-0.8.fc25.x86_64
# semodule -E base -H
Module 'base' does not exist at the default priority '400'. Extracting at highest existing priority '100'.
# ls -l base.pp
-rw-r--r--. 1 root root 1906678 Feb  9 11:02 base.pp
# /usr/libexec/selinux/hll/pp base.pp base.cil
# ls -l
total 3256
-rw-------. 1 root root    1465 Jun  9  2015 anaconda-ks.cfg
-rw-r--r--. 1 root root 1412899 Feb  9 11:02 base.cil
-rw-r--r--. 1 root root 1906678 Feb  9 11:02 base.pp
-rw-r--r--. 1 root root      11 Feb  9 10:57 install.time
-rwxr-xr-x. 1 root root     622 Feb  9 10:55 set-hostname
# file base.pp
base.pp: SE Linux modular policy version 1, 4 sections, mod version 17, base
# file base.cil
base.cil: ASCII text, with very long lines
#

Seems to be fixed.

Comment 6 Fedora End Of Life 2017-02-28 11:06:44 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 7 Fedora Update System 2017-04-07 07:42:03 UTC
policycoreutils-2.5-20.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-c89d1d37d0

Comment 8 Fedora Update System 2017-04-07 19:58:03 UTC
policycoreutils-2.5-20.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-c89d1d37d0

Comment 9 Fedora Update System 2017-04-09 21:52:03 UTC
policycoreutils-2.5-20.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.